Intel Graphics Media Accelerator Driver 15.11.0.1537: OpenGL 2.0 support

Intel Graphics Media Accelerator Driver 15.11.0.1537: OpenGL 2.0 support

Hi all,

as you can read from this news, a new Intel driver for Vista enable OpenGL 2.0 support.

I don't have Vista (I have XP professional) so I cannot test it (OpenGL 2.0 shading language).

Can someone test this new driver with this Application? (GPU Caps Viewer 1.5.0)

Thank you.

Delle

7 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

FYI, there is also a Windows XP driver posted with OpenGL 2.0 support.

Quoting - Eric Palmer (Intel)

FYI, there is also a Windows XP driver posted with OpenGL 2.0 support.

Can you plase post the link?

Thank you.

You know your graphics chipset best:

http://downloadcenter.intel.com/

However OpenGL 2.0 has been introduced in the 14.36 driver revision. Therefore this link to v14.36.3 (6.14.10.4990) 9/16/2008 should help you. See its release notes whether your chipset is supported.

Quoting - delle
Hi all,

as you can read from this news, a new Intel driver for Vista enable OpenGL 2.0 support.

I don't have Vista (I have XP professional) so I cannot test it (OpenGL 2.0 shading language).

Can someone test this new driver with this Application? (GPU Caps Viewer 1.5.0)

Thank you.

Delle

Anyone know which Intel IGP's now officially support OpenGL 2.0 under these new drivers? I believe only the GMA X3500 and the GMA X4500 family haveconsistentlybeen marketed as having hardware OpenGL 2.0 support. While the GMA X3100 was originally advertised as only having OpenGL 1.5, which is what is still written in the GM965 datasheet (http://www.intel.com/Assets/PDF/datasheet/316273.pdf), recent presentations have said that OpenGL 2.0 support is coming for the GMA X3100 too.

http://downloadmirror.intel.com/16945/eng/relnotes_2k_xp_gfx.htm

The release notes for OpenGL 2.0 drivers aren't very descriptive since they explicitly say the G31, G33, Q33, and Q35 don't support OpenGL 2.0, which makes sense, but if that is meant to imply that every other IGP in the driver supports OpenGL 2.0, that would indicate that the 946GZ, which the driver supports, would be capable of OpenGL 2.0 which seems unlikely.

I would guess that the GMA X3500, and X4500 series are now OpenGL 2.0 capable and possibly the GMA X3100 too. What about the GMA X3000? An official list of supported IGPs would be nice.

I agree: OpenGL capabilities are not consistently presented throughout intel's documentation.

In addition there's a slide no. 5 which announces OpenGL 2.0 for G35 (X3500), GM965 (X3100):

Getting the Most Out of Intel Graphics.ppt

Which is also mentioned here. It does say G33 (GMA 3100) will be at OpenGL 1.4, which is consistent with recent driver release notes. But again doesn't say anything about G965 (X3000).

Anyway: At least for the GM965 (X3100) I'm sure it does support OpenGL 2.0 except the Shading Language telling from the latest v15.11.4 driver:


From the list of 6 OpenGL demos contained in GPU Caps Viewer only these work:

. Point Sprite Particles
. Vertex Displacement Mapping
. Cel-Shading

The "Fur Rendering" Stability Test doesn't start as well.

Intel doesn't suppor t the GLSL (GL shading language) in Hardware (yet). Now if you don't do GLSL in hardware, then supporting OpenGL >=2.0 doesn't become a major problem even for very old chipsets. The additions to OpenGL itself are minor and can be derived from adjusting your hardware accel to a new version of the OpenGL reference implementation.

This results in the current Linux driver at for Gen4/5 being actually ahead of the Windows driver in terms of compatibility. Since Oct 2008 the Linux driver supports OpenGL 2.1:

OpenGL vendor string: Tungsten Graphics, Inc
OpenGL renderer string: Mesa DRI Intel 965GM GEM 20080716 x86/MMX/SSE2
OpenGL version string: 2.1 Mesa 7.3-devel
OpenGL shading language version string: 1.10

However OpenGL performance of the Windows driver is ahead of the Linux Mesa derived one. I don't have a Windows <-> Linux comparison. But I've a Linux Ubuntu 8.10 vs. Mac OS 10.5.x one for the intel mobile 945 chipset. Nexuiz and Urban Terror are Quake engine derived games and facilitate the OpenGL stack:
http://www.phoronix.com/scan.php?page=article&item=ubuntu_macosx&num=2

Leave a Comment

Please sign in to add a comment. Not a member? Join today